Upstream information

CVE-2017-5838 at MITRE

Description

The gst_date_time_new_from_iso8601_string function in gst/gstdatetime.c in GStreamer before 1.10.3 allows remote attackers to cause a denial of service (out-of-bounds heap read) via a malformed datetime string.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.96 4.30
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High

This issue is currently rated as having moderate severity.

SUSE Bugzilla entries: 1023259 [RESOLVED / MOVED], 1024051 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • gstreamer >= 1.2.4-2.3.3
  • gstreamer-lang >= 1.2.4-2.3.3
  • gstreamer-utils >= 1.2.4-2.3.3
  • libgstreamer-1_0-0 >= 1.2.4-2.3.3
  • libgstreamer-1_0-0-32bit >= 1.2.4-2.3.3
  • typelib-1_0-Gst-1_0 >= 1.2.4-2.3.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-562
SUSE Linux Enterprise Desktop 12 SP2
  • gstreamer >= 1.8.3-9.5
  • gstreamer-lang >= 1.8.3-9.5
  • gstreamer-utils >= 1.8.3-9.5
  • libgstreamer-1_0-0 >= 1.8.3-9.5
  • libgstreamer-1_0-0-32bit >= 1.8.3-9.5
  • typelib-1_0-Gst-1_0 >= 1.8.3-9.5
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-561
SUSE Linux Enterprise Server 12 SP1
  • gstreamer >= 1.2.4-2.3.3
  • gstreamer-lang >= 1.2.4-2.3.3
  • gstreamer-utils >= 1.2.4-2.3.3
  • libgstreamer-1_0-0 >= 1.2.4-2.3.3
  • libgstreamer-1_0-0-32bit >= 1.2.4-2.3.3
  • typelib-1_0-Gst-1_0 >= 1.2.4-2.3.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-562
SUSE Linux Enterprise Server 12 SP2
  • gstreamer >= 1.8.3-9.5
  • gstreamer-lang >= 1.8.3-9.5
  • gstreamer-utils >= 1.8.3-9.5
  • libgstreamer-1_0-0 >= 1.8.3-9.5
  • libgstreamer-1_0-0-32bit >= 1.8.3-9.5
  • typelib-1_0-Gst-1_0 >= 1.8.3-9.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-561
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gstreamer >= 1.8.3-9.5
  • gstreamer-lang >= 1.8.3-9.5
  • gstreamer-utils >= 1.8.3-9.5
  • libgstreamer-1_0-0 >= 1.8.3-9.5
  • typelib-1_0-Gst-1_0 >= 1.8.3-9.5
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-561
SUSE Linux Enterprise Software Development Kit 12 SP1
  • gstreamer >= 1.2.4-2.3.3
  • gstreamer-devel >= 1.2.4-2.3.3
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-562
SUSE Linux Enterprise Software Development Kit 12 SP2
  • gstreamer >= 1.8.3-9.5
  • gstreamer-devel >= 1.8.3-9.5
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-561
openSUSE Leap 42.1
  • gstreamer >= 1.4.5-5.1
  • gstreamer-32bit >= 1.4.5-5.1
  • gstreamer-debuginfo >= 1.4.5-5.1
  • gstreamer-debuginfo-32bit >= 1.4.5-5.1
  • gstreamer-debugsource >= 1.4.5-5.1
  • gstreamer-devel >= 1.4.5-5.1
  • gstreamer-doc >= 1.4.5-5.1
  • gstreamer-lang >= 1.4.5-5.1
  • gstreamer-utils >= 1.4.5-5.1
  • gstreamer-utils-debuginfo >= 1.4.5-5.1
  • libgstreamer-1_0-0 >= 1.4.5-5.1
  • libgstreamer-1_0-0-32bit >= 1.4.5-5.1
  • libgstreamer-1_0-0-debuginfo >= 1.4.5-5.1
  • libgstreamer-1_0-0-debuginfo-32bit >= 1.4.5-5.1
  • typelib-1_0-Gst-1_0 >= 1.4.5-5.1
Patchnames:
openSUSE-2017-302
openSUSE Leap 42.2
  • gstreamer >= 1.8.3-2.3.1
  • gstreamer-32bit >= 1.8.3-2.3.1
  • gstreamer-debuginfo >= 1.8.3-2.3.1
  • gstreamer-debuginfo-32bit >= 1.8.3-2.3.1
  • gstreamer-debugsource >= 1.8.3-2.3.1
  • gstreamer-devel >= 1.8.3-2.3.1
  • gstreamer-doc >= 1.8.3-2.3.1
  • gstreamer-lang >= 1.8.3-2.3.1
  • gstreamer-utils >= 1.8.3-2.3.1
  • gstreamer-utils-debuginfo >= 1.8.3-2.3.1
  • libgstreamer-1_0-0 >= 1.8.3-2.3.1
  • libgstreamer-1_0-0-32bit >= 1.8.3-2.3.1
  • libgstreamer-1_0-0-debuginfo >= 1.8.3-2.3.1
  • libgstreamer-1_0-0-debuginfo-32bit >= 1.8.3-2.3.1
  • typelib-1_0-Gst-1_0 >= 1.8.3-2.3.1
Patchnames:
openSUSE-2017-480